<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.freemud</groupId>
        <artifactId>order-group</artifactId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <properties>
        <jacoco.version>0.7.5.201505241946</jacoco.version>
        <junit.version>4.12</junit.version>
    </properties>

    <artifactId>order-application-service</artifactId>

    <dependencies>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>sdk-common-base</artifactId>
            <version>1.5.3.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-orderdistributor-sdk</artifactId>
            <version>2.4.4-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>structure-center-sdk</artifactId>
            <version>1.2.3.RELEASE</version>
        </dependency>
        <dependency>
            <artifactId>couponcenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>1.10.2.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>assortment-ordercenter-sdk</artifactId>
            <version>2.1.8-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>productcenter-sdk</artifactId>
            <version>2.8.4-SNAPSHOT</version>
        </dependency>
        <dependency>
            <artifactId>membercenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>4.1.5.RELEASE</version>
        </dependency>
        <dependency>
            <artifactId>stockcenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>1.2.1.RELEASE</version>
        </dependency>
        <dependency>
            <artifactId>promotioncenter-sdk</artifactId>
            <groupId>com.freemud.application.service.sdk</groupId>
            <version>2.7.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-messagepush-sdk</artifactId>
            <version>2.6.3.RELEASE</version>
            <exclusions>
                <exclusion>
                    <groupId>cn.freemud.commons</groupId>
                    <artifactId>commons-amqp</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--配送服务SDK-->
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>deliverycenter-sdk</artifactId>
            <version>1.6.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>takeawaycenter-sdk</artifactId>
            <version>1.2.3-SNAPSHOT</version>
        </dependency>
        <!--  商户门店sdk  -->
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>storecenter-sdk</artifactId>
            <version>3.2.1.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>order-management</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud</groupId>
            <artifactId>monitor-tools</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>

        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-base</artifactId>
        </dependency>

        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-dao</artifactId>
            <exclusions>
                <exclusion>
                    <artifactId>mybatis-spring-boot-starter</artifactId>
                    <groupId>org.mybatis.spring.boot</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <artifactId>assortment-data-manager</artifactId>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <version>5.1.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>data-manager-redis</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>commons-security</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-eureka</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.10</version>
        </dependency>
        <dependency>
            <groupId>com.github.pagehelper</groupId>
            <artifactId>pagehelper-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>com.github.ulisesbocchio</groupId>
            <artifactId>jasypt-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-feign</artifactId>
        </dependency>
        <!-- 使用Apache HttpClient替换Feign原生httpclient -->
        <dependency>
            <groupId>io.github.openfeign</groupId>
            <artifactId>feign-httpclient</artifactId>
            <version>9.4.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-hystrix</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.8.0</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-collections4</artifactId>
            <version>4.1</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>open-store-open-platform-sdk</artifactId>
            <version>1.3.5-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
            <version>2.7.0</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-core</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-beans</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-context-support</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-aop</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-tx</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-orm</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-jdbc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-web</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-webmvc</artifactId>
                </exclusion>

                <exclusion>
                    <groupId>org.springframework</groupId>
                    <artifactId>spring-oxm</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
            <version>2.7.0</version>
        </dependency>
        <!-- 券码SDK -->
        <dependency>
            <groupId>com.freemud.card.sdk</groupId>
            <artifactId>freemud-card-sdk</artifactId>
            <version>2.4.18-RELEASE</version>
        </dependency>

        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form</artifactId>
            <version>3.2.2</version>
        </dependency>
        <dependency>
            <groupId>io.github.openfeign.form</groupId>
            <artifactId>feign-form-spring</artifactId>
            <version>3.2.2</version>
        </dependency>
        <!-- 生成id -->
        <dependency>
            <groupId>cn.freemud.commons</groupId>
            <artifactId>id-service</artifactId>
            <version>1.4.11-release</version>
        </dependency>
        <!-- 条形码依赖 -->
        <dependency>
            <groupId>net.sf.barcode4j</groupId>
            <artifactId>barcode4j-light</artifactId>
            <version>2.0</version>
        </dependency>
        <!-- 二维码依赖 -->
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>core</artifactId>
            <version>3.3.2</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>0.9.0</version>
        </dependency>

        <!-- RFC3339时间格式包 -->
        <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>2.9.9</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <dependency>
            <groupId>com.freemud.application.service.sdk</groupId>
            <artifactId>paymentcenter-sdk</artifactId>
            <version>2.9.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.freemud.sdk.api.assortment</groupId>
            <artifactId>assortment-payment-sdk</artifactId>
            <version>2.6.1.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>org.apache.rocketmq</groupId>
            <artifactId>rocketmq-spring-boot-starter</artifactId>
            <version>2.0.4</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.51</version>
        </dependency>
        <dependency>
            <groupId>tk.mybatis</groupId>
            <artifactId>mapper-spring-boot-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ctrip.framework.apollo</groupId>
            <artifactId>apollo-client</artifactId>
            <version>1.4.0</version>
        </dependency>
        <!-- skywalking -->
        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-logback-1.x</artifactId>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
                <version>${jacoco.version}</version>
                <executions>
                    <execution>
                        <id>prepare-agent</id>
                        <goals>
                            <goal>prepare-agent</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>report</id>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                    </execution>
                    <execution>
                        <id>post-unit-test</id>
                        <phase>test</phase>
                        <goals>
                            <goal>report</goal>
                        </goals>
                        <configuration>
                            <dataFile>target/jacoco.exec</dataFile>
                            <outputDirectory>target/jacoco-ut</outputDirectory>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>cn.freemud.OrderApplication</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <!-- mybatis 插件-->
            <plugin>
                <groupId>org.mybatis.generator</groupId>
                <artifactId>mybatis-generator-maven-plugin</artifactId>
                <version>1.3.2</version>
                <configuration>
                    <configurationFile>${basedir}/src/main/resources/generator/generatorConfig.xml</configurationFile>
                    <overwrite>true</overwrite>
                    <verbose>true</verbose>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>mysql</groupId>
                        <artifactId>mysql-connector-java</artifactId>
                        <version>${mysql.version}</version>
                    </dependency>
                    <dependency>
                        <groupId>tk.mybatis</groupId>
                        <artifactId>mapper</artifactId>
                        <version>3.4.0</version>
                    </dependency>
                </dependencies>
            </plugin>

        </plugins>
    </build>

    <repositories>
        <repository>
            <id>public</id>
            <name>public Repository</name>
            <url>http://115.159.2.190:7654/nexus/content/groups/public/</url>
        </repository>
        <repository>
            <id>freemud-hosted-release</id>
            <name>freemud-hosted-release</name>
            <url>http://115.159.2.190:7654/nexus/content/repositories/freemud-hosted-release/</url>
        </repository>
        <repository>
            <id>spring-libs-release</id>
            <name>Spring Releases</name>
            <url>https://repo.spring.io/libs-release</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </repository>
    </repositories>

</project>